Subject: RE: No userid
From: "Fox, Michael K" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 2 Jul 2003 15:40:22 -0700

I ran cygcheck -svr and I've attached the output. 

To track down the source of the problem I added the following lines at the top of my /etc/profile:

echo $USER
echo $HOME

and the following printed out:

foo7873
/home/Administrator

So I added a Win2K environmental variable (in the User section): 
HOME = C:\cygwin\home\foo7873

I rebooted and, in the Win2K command prompt I typed:
echo %HOME%

and the answer, as expected, was C:\cygwin\home\foo7873.

Nevertheless, when I started Cygwin, it still insisted that my HOME was /home/Administrator.  Apparently something in Cygwin, other than /etc/passwd is setting my HOME variable.  I can't figure it out.

So I added the following lines at the top of my /etc/profile: 
HOME=`grep ^$USER: /etc/passwd | cut -f6 -d:` 
SHELL=`grep ^$USER: /etc/passwd | cut -f7 -d:`

and that solved the problem.  I know this is a kludge but it works.

-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]] 
Sent: Tuesday, June 24, 2003 11:23 AM
To: Fox, Michael K
Cc: Doug Jenkinson; [email-masked]
Subject: RE: No userid

Michael,

It looks like you had /home/Administrator as your home directory even before you changed the user name.  This would indicate that this information comes from somewhere else.  Do you have HOME set in your Windows environment?

I also don't recall you attaching the output of "cygcheck -svr" to any of your previous messages (as requested in <http://cygwin.com/problems.html>).
If you didn't, please do so -- it'll help in diagnosing the problem.
	Igor

On Tue, 24 Jun 2003, Fox, Michael K wrote:

> I fixed the typo (removed the extra 8).  I assume this is what you
> meant me see.  But that didn't solve the problem.
>
> > From: Doug Jenkinson
> > Take a look at the second to last parameter, that's the home
> > directory.
>
> > > I have tried modifying the fourth line of the passwd file as
> > > follows
> > >
> > > foo7873:unused_by_nt/2000/xp:500:513:U-E182960\Administrator,S-1-5
> > > -21-1061762173-587356633-675955863-500:/home/foo78783:/bin/bash
> > >
> > > After this, when I restart Cygwin and type whoami the answer is
> > > foo7873, but Cygwin still thinks my home directory should be 
> > > /home/Administrator and creates a new folder by that name.

-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"I have since come to realize that being between your mentor and his route to the bathroom is a major career booster."  -- Patrick Naughton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/